Bug 95329

Summary: [WK2] New fast/events/tab-focus-link-in-canvas fails from r126908
Product: WebKit Reporter: Szilard Ledan <szledan>
Component: Tools / TestsAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: cfleizach, dmazzoni, gyuyoung.kim, kadam, kenneth, kkristof, mrobinson, ossy, szledan, thorton, webkit.review.bot
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 77884    
Bug Blocks: 87008, 94967    
Attachments:
Description Flags
Patch
none
Patch none

Description Szilard Ledan 2012-08-29 05:15:19 PDT
This test failing (timeout) on Qt-WK2 and Lion-WK2.

--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/events/tab-focus-link-in-canvas-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/events/tab-focus-link-in-canvas-actual.txt 
@@ -4,7 +4,7 @@
 
 
 PASS document.activeElement.id is "before"
-PASS document.activeElement.id is "canvas_link"
+FAIL document.activeElement.id should be canvas_link. Was .
 PASS successfullyParsed is true
 
 TEST COMPLETE



Could you check it please?
Comment 1 Csaba Osztrogon√°c 2012-08-29 05:21:15 PDT
It isn't timeout, it is a simple fail. And it isn't Qt, but WK2 specific bug.
Comment 2 Szilard Ledan 2012-08-29 05:43:11 PDT
I skipped this test.

http://trac.webkit.org/changeset/126995
Comment 3 Dominic Mazzoni 2012-08-29 09:30:05 PDT
The underlying issue here is that WebKitTabToLinksPreferenceKey isn't supported in WK2.

InjectedBundle::overrideBoolPreferenceForTestRunner has this comment:
// FIXME: Need an explicit way to set "WebKitTabToLinksPreferenceKey" directly in WebPage.

Also, this bug seems to be essentially the same issue:
https://bugs.webkit.org/show_bug.cgi?id=77884

It should be easy to enable this test once that's solved.
Comment 4 Chris Dumez 2012-09-08 00:44:34 PDT
Created attachment 162951 [details]
Patch

Add support for overriding "WebKitTabToLinksPreferenceKey" preference in WebKitTestRunner. This is needed for fast/events/tab-focus-link-in-canvas to pass since the setting is disabled by default in WK2.
Comment 5 Chris Dumez 2012-09-08 01:00:12 PDT
Created attachment 162952 [details]
Patch

Minor changelog fix.
Comment 6 WebKit Review Bot 2012-09-08 03:47:46 PDT
Comment on attachment 162952 [details]
Patch

Clearing flags on attachment: 162952

Committed r127966: <http://trac.webkit.org/changeset/127966>
Comment 7 WebKit Review Bot 2012-09-08 03:47:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Tim Horton 2014-09-01 07:10:47 PDT
Oddly, there was already a "tabsToLinks" WebKit2 pref, and you added "tabToLinks", and now we have both... but I'm not 100% sure how to untangle.